<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GimpProgressBar: GIMP Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Library Reference Manual">
<link rel="up" href="libgimpui.html" title="Part II. GIMP User Interface Library">
<link rel="prev" href="GimpImageComboBox.html" title="GimpImageComboBox">
<link rel="next" href="libgimp-gimpmenu.html" title="gimpmenu">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#GimpProgressBar.description" class="shortcut">Description</a></span><span id="nav_hierarchy">  <span class="dim">|</span> 
                  <a href="#GimpProgressBar.object-hierarchy" class="shortcut">Object Hierarchy</a></span><span id="nav_interfaces">  <span class="dim">|</span> 
                  <a href="#GimpProgressBar.implemented-interfaces" class="shortcut">Implemented Interfaces</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="libgimpui.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="GimpImageComboBox.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="libgimp-gimpmenu.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="GimpProgressBar"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="GimpProgressBar.top_of_page"></a>GimpProgressBar</span></h2>
<p>GimpProgressBar — A widget providing a progress bar.</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="GimpProgressBar.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody><tr>
<td class="function_type">
<a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
</td>
<td class="function_name">
<a class="link" href="GimpProgressBar.html#gimp-progress-bar-new" title="gimp_progress_bar_new ()">gimp_progress_bar_new</a> <span class="c_punctuation">()</span>
</td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpProgressBar.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody><tr>
<td class="datatype_keyword"> </td>
<td class="function_name"><a class="link" href="GimpProgressBar.html#GimpProgressBar-struct" title="GimpProgressBar">GimpProgressBar</a></td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="GimpProgressBar.object-hierarchy"></a><h2>Object Hierarchy</h2>
<pre class="screen">    <a href="../gobject/gobject-The-Base-Object-Type.html#GObject-struct">GObject</a>
    <span class="lineart">╰──</span> <a href="../gobject/gobject-The-Base-Object-Type.html#GInitiallyUnowned">GInitiallyUnowned</a>
        <span class="lineart">╰──</span> <a href="../gtk2/GtkObject.html#GtkObject-struct">GtkObject</a>
            <span class="lineart">╰──</span> <a href="../gtk2/GtkWidget.html#GtkWidget-struct">GtkWidget</a>
                <span class="lineart">╰──</span> <a href="../gtk2/GtkProgress.html#GtkProgress-struct">GtkProgress</a>
                    <span class="lineart">╰──</span> <a href="../gtk2/GtkProgressBar.html#GtkProgressBar-struct">GtkProgressBar</a>
                        <span class="lineart">╰──</span> GimpProgressBar
</pre>
</div>
<div class="refsect1">
<a name="GimpProgressBar.implemented-interfaces"></a><h2>Implemented Interfaces</h2>
<p>
GimpProgressBar implements
 AtkImplementor and  <a href="../gtk2/GtkBuildable.html#GtkBuildable-struct">GtkBuildable</a>.</p>
</div>
<div class="refsect1">
<a name="GimpProgressBar.description"></a><h2>Description</h2>
<p>A widget providing a progress bar that automatically redirects any
progress calls to itself.</p>
</div>
<div class="refsect1">
<a name="GimpProgressBar.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="gimp-progress-bar-new"></a><h3>gimp_progress_bar_new ()</h3>
<pre class="programlisting"><a href="../gtk2/GtkWidget.html#GtkWidget-struct"><span class="returnvalue">GtkWidget</span></a> *
gimp_progress_bar_new (<em class="parameter"><code><span class="type">void</span></code></em>);</pre>
<p>Creates a new <a class="link" href="GimpProgressBar.html" title="GimpProgressBar"><span class="type">GimpProgressBar</span></a> widget.</p>
<div class="refsect3">
<a name="gimp-progress-bar-new.returns"></a><h4>Returns</h4>
<p> the new widget.</p>
</div>
<p class="since">Since: <a class="link" href="api-index-2-2.html#api-index-2.2">2.2</a></p>
</div>
</div>
<div class="refsect1">
<a name="GimpProgressBar.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GimpProgressBar-struct"></a><h3>GimpProgressBar</h3>
<pre class="programlisting">typedef struct _GimpProgressBar GimpProgressBar;</pre>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>